---
updatedAt: 2026-04-05T12:55:34.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get All LDAP Group Settings

Get all LDAP group settings.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - LDAP API",
    "description": "LDAP configuration APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** All APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "LDAP",
      "description": "APIs for creating, updating, deleting, and managing LDAP settings and LDAP group settings in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/ldap/groups": {
      "get": {
        "tags": [
          "LDAP"
        ],
        "summary": "Get All LDAP Group Settings",
        "description": "Get all LDAP group settings.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "getAllLdapGroupSettings",
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/LdapGroupSettings"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "LdapGroupSettings": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "enabled_ldap": {
            "type": "string"
          },
          "group_base_dn": {
            "type": "string"
          },
          "group_name_attribute": {
            "type": "string"
          },
          "group_member_attribute": {
            "type": "string"
          },
          "sub_tree": {
            "type": "boolean"
          },
          "force_attribute_search": {
            "type": "boolean"
          },
          "filter": {
            "type": "string"
          },
          "description_attribute": {
            "type": "string"
          },
          "strategy": {
            "type": "string"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```